%define pkg_name        Lingua-Translate
%define pkg_version     0.08
%define rpm_pkg_version 0.08
%define rpm_pkg_release 2.n0i.2

Summary:       Translate text from one language to another
Name:          perl-%{pkg_name}
Version:       %{rpm_pkg_version}
Release:       %{rpm_pkg_release}%{?cpan_version}%{?dist}

Group:         Development/Libraries
License:       Artistic
URL:           http://search.cpan.org/dist/%{pkg_name}/
Source0:       http://www.cpan.org/authors/id/S/SA/SAMV/%{pkg_name}-%{pkg_version}.tar.gz

BuildArch:     noarch
BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: reb00t-rpmdevtools
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(HTML::TokeParser) >= 2.19
BuildRequires: perl(I18N::LangTags) >= 0.27
BuildRequires: perl(LWP::UserAgent) >= 1.73
BuildRequires: perl(Pod::Constants) >= 0.15
BuildRequires: perl(Unicode::MapUTF8) >= 1.09


%description
Locale::Translate translates text from one written language to another.
Currently this is implemented by contacting Babelfish
(http://babelfish.altavista.com/), so see there for the language pairs that
are supported. Babelfish uses SysTran (http://www.systran.org/) to perform
the translation, and contacting a SysTran translation server directly is
also supported (in case your translation needs grow beyond babelfish'
capacity).


%prep
%setup -q -n %{pkg_name}-%{pkg_version}


%build
%{perl_build}
%{!?_without_test:%{__make} test}


%install
%{__rm} -rf $RPM_BUILD_ROOT
%{perl_install}


%clean
%{__rm} -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%{perl_files}
%doc Changes README


%changelog
* Tue May 22 2007 Marius Feraru <altblue@n0i.net> - 0.08-2.n0i.2
- spec file (re)created using N0i::CPAN::RPMizer v1.14.7
- rebuild on perl 5.8.8

* Tue Sep 13 2005 Marius Feraru <altblue@n0i.net> 0.08-1.n0i.1
- spec file (re)created using N0i::CPAN::RPMizer/1.10
- rebuild on perl 5.8.7
